mui.init();
mui.plusReady(function() {
	plus.screen.lockOrientation("portrait-primary"); 
	var fileImg = "";
	var self = plus.webview.currentWebview();
	var ratio = self.ratio; //宽高比例
	var path = self.path;
	var parentPageId = self.parentPageId;

	if(!ratio) {
		ratio = 1 / 1
	}

	var screenWidth = $(window).width();
	var screenHeight = $(window).height();

	var Cropper = window.Cropper;
	var console = window.console || {
		log: function() {}
	};
	var container = document.querySelector('.img-container');
	var image = container.getElementsByTagName('img').item(0);
	var actions = document.getElementById('actions');
	var isUndefined = function(obj) {
		return typeof obj === 'undefined';
	};
	var options = {
		minContainerHeight: screenHeight,
		minContainerWidth: screenWidth,
		aspectRatio: ratio, //裁剪框比例 1：1
		viewMode: 1, //显示
		guides: true, //裁剪框虚线 默认true有
		dragMode: "move",
		build: function(e) { //加载开始
			//可以放你的过渡 效果
		},
		built: function(e) { //加载完成
			$("#containerDiv").show();
			$("#imgEdit").show();
		},
		zoom: function(e) {
			console.log(e.type, e.detail.ratio);
		},
		background: false, // 容器是否显示网格背景
		movable: false, //是否能移动图片
		cropBoxMovable: true, //是否允许拖动裁剪框
		cropBoxResizable: true, //是否允许拖动 改变裁剪框大小
	};
	var cropper = new Cropper(image, options);
	cropper.reset().replace(path);
	
	//exif调整图片的横竖
	EXIF.getData(this, function() {
		cropper.reset().replace(path);
	});

	if(typeof document.createElement('cropper').style.transition === 'undefined') {
		mui('button[data-method="rotate"]').prop('disabled', true);
		mui('button[data-method="scale"]').prop('disabled', true);
	}
	// Methods
	actions.querySelector('.docs-buttons').onclick = function(event) {
		var e = event || window.event;
		var target = e.target || e.srcElement;
		var result;
		var input;
		var data;

		if(!cropper) {
			return;
		}

		while(target !== this) {
			if(target.getAttribute('data-method')) {
				break;
			}

			target = target.parentNode;
		}

		if(target === this || target.disabled || target.className.indexOf('disabled') > -1) {
			return;
		}

		data = {
			method: target.getAttribute('data-method'),
			target: target.getAttribute('data-target'),
			option: target.getAttribute('data-option'),
			secondOption: target.getAttribute('data-second-option')
		};

		if(data.method) {
			if(typeof data.target !== 'undefined') {
				input = document.querySelector(data.target);

				if(!target.hasAttribute('data-option') && data.target && input) {
					try {
						data.option = JSON.parse(input.value);
					} catch(e) {
						console.log(e.message);
					}
				}
			}
			if(data.method === 'getCroppedCanvas') {
				data.option = JSON.parse(data.option);
			}
			result = cropper[data.method](data.option, data.secondOption);
			switch(data.method) {
				case 'scaleX':
				case 'scaleY':
					target.setAttribute('data-option', -data.option);
					break;

				case 'getCroppedCanvas':
					if(result) {
						fileImg = result.toDataURL('image/jpg');
						console.log("fileImg==" + fileImg);
						var json = {
							fileImg: fileImg
						}
						callPageFunEvent(parentPageId, "returnPath", json);
						mui.back();
					}
					break;
				case 'destroy':
					$("#containerDiv").hide();
					$("#imgEdit").hide();
					mui.back();
					break;
			}

			if(typeof result === 'object' && result !== cropper && input) {
				try {
					input.value = JSON.stringify(result);
				} catch(e) {
					console.log(e.message);
				}
			}

		}
	};
	mui.back = function() {
		//		$("#inputImage").val("");
		$("#containerDiv").hide();
		$("#imgEdit").hide();
		self.close();
	}
});