/**
 * 保存搜索
 * @param {Object} value 搜索内容
 */
function saveData(value) {
	var kwdCacheKey = 'h_kwd_list'; //定义数据存储对象名  
	currentKwdKey = 'k_' + value, //当前搜索值对应的键值  
		currentKwdList = {}, //创建json对象   
		kwdStr = localStorage.getItem(kwdCacheKey); //获取历史搜索内容（字符串）  
	if(kwdStr !== null) {
		var kwdList = JSON.parse(kwdStr); //将历史搜索内容转化为对象  
	}
	currentKwdList[currentKwdKey] = value; //将当前输入关键字动态加入新创建json对象中  

	if(kwdList == undefined) { //如果不存在历史搜索内容，直接将当前搜索内容转化为字符串  
		var kwdTxt = JSON.stringify(currentKwdList);
	} else {
		//合并对象（当前搜索内 和 历史 搜索内容）  
		var kwdTxtObj = mergeToRepeat(currentKwdList, kwdList);
		//转化为序列化json字符串格式  
		kwdTxt = JSON.stringify(kwdTxtObj);
	}
	showLog(kwdCacheKey, kwdTxt);
	localStorage.setItem(kwdCacheKey, kwdTxt); //存入localStorage  
}
/**
 * 取出本地存储的历史记录
 */
function upData() { //取数据  
	var kwdTxt = window.localStorage.h_kwd_list ? window.localStorage.h_kwd_list : undefined;
	if(kwdTxt !== undefined) {
		kwdTxtObj = JSON.parse(kwdTxt);
		showLog("kwdTxtObj", JSON.stringify(kwdTxtObj));
		return kwdTxtObj;
	}
}
/**
 * 清空本地存储的搜索记录
 */
function clearkey() {
	//清空历史记录 并刷新页面  
	localStorage.removeItem('h_kwd_list'); //删除h_kwd_list这个键值的里面所有的值  
	location.reload();
}

/**
 * 遍历两个对象合成一个并将两个对象中重复的键值的值去掉前一个  
 * @param {Object} json1
 * @param {Object} json2
 */
function mergeToRepeat(json1, json2) {
	var resJson = {};
	for(var i in json1) {
		resJson[i] = json1[i];
	}
	for(var i in json2) {
		resJson[i] = json2[i];
	};
	return resJson;
}